Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::ViewportSpriteState Class Reference

ビューポートスプライトステート More...

`#include <ViewportSpriteState.h>`

Inheritance diagram for Lamp::ViewportSpriteState:

List of all members.

## Public Member Functions
| ViewportSpriteState ()
| コンストラクタ
| ViewportSpriteState (const RectangleI &rectangle)
| コンストラクタ
virtual | ~ViewportSpriteState ()
| デストラクタ
virtual const SpriteRequest * | getDefaultState () const
| デフォルトステートの取得
virtual void | apply (SpriteRenderState *renderState)
| 適用
virtual void | setRectangle (const RectangleI &rectangle)
| 矩形の設定
virtual void | setRectangle (const Point2i &position, const DimensionI &size)
| 矩形の設定
virtual void | setRectangle (int x, int y, int width, int height)
| 矩形の設定
virtual const RectangleI & | getRectangle () const
| 矩形の取得
virtual bool | isEnabled () const
| クリップが有効か
virtual void | setPosition (const Point2i &position)
| クリップ位置の設定
virtual void | setPosition (int x, int y)
| クリップ位置の設定
virtual Point2i | getPosition () const
| クリップ位置の取得
virtual void | setSize (const DimensionI &size)
| サイズの設定
virtual void | setSize (int width, int height)
| サイズの設定
virtual DimensionI | getSize () const
| サイズの取得
## Static Public Attributes
const ViewportSpriteState | disableState
| 無効
const ViewportSpriteState | defaultState
| デフォルト

## Detailed Description

ビューポートスプライトステート

Definition at line 36 of file ViewportSpriteState.h.

## Constructor & Destructor Documentation

Lamp::ViewportSpriteState::ViewportSpriteState | ( | const RectangleI & | rectangle | ) |

  | コンストラクタ Parameters:
  rectangle | 矩形
Definition at line 44 of file ViewportSpriteState.cpp.

## Member Function Documentation

void Lamp::ViewportSpriteState::apply | ( | SpriteRenderState * | renderState | ) | `[virtual]`

  | 適用 Parameters:
  renderState | レンダーステート
Implements Lamp::SpriteState. Definition at line 55 of file ViewportSpriteState.cpp. References isEnabled(), Lamp::RenderingDevice::resetViewport(), and Lamp::RenderingDevice::setViewport().

virtual const SpriteRequest* Lamp::ViewportSpriteState::getDefaultState | ( |  | ) | const`[inline, virtual]`

| デフォルトステートの取得 Returns: デフォルトステート Implements Lamp::SpriteState. Definition at line 73 of file ViewportSpriteState.h. References defaultState.

virtual Point2i Lamp::ViewportSpriteState::getPosition | ( |  | ) | const`[inline, virtual]`

| クリップ位置の取得 Returns: クリップ位置 Definition at line 158 of file ViewportSpriteState.h. References Lamp::RectangleI::x, and Lamp::RectangleI::y.

virtual const RectangleI& Lamp::ViewportSpriteState::getRectangle | ( |  | ) | const`[inline, virtual]`

| 矩形の取得 Returns: 矩形 Definition at line 122 of file ViewportSpriteState.h.

virtual DimensionI Lamp::ViewportSpriteState::getSize | ( |  | ) | const`[inline, virtual]`

| サイズの取得 Returns: サイズ Definition at line 186 of file ViewportSpriteState.h. References Lamp::RectangleI::height, and Lamp::RectangleI::width.

virtual bool Lamp::ViewportSpriteState::isEnabled | ( |  | ) | const`[inline, virtual]`

| クリップが有効か Returns: クリップが有効ならtrue Definition at line 130 of file ViewportSpriteState.h. Referenced by apply().

virtual void Lamp::ViewportSpriteState::setPosition | ( | int | x,
|  | int | y
| ) | `[inline, virtual]`

  | クリップ位置の設定 Parameters:
  x | Xクリップ位置
  y | Yクリップ位置
Definition at line 149 of file ViewportSpriteState.h. References Lamp::RectangleI::x, and Lamp::RectangleI::y.

virtual void Lamp::ViewportSpriteState::setPosition | ( | const Point2i & | position | ) | `[inline, virtual]`

  | クリップ位置の設定 Parameters:
  position | 設定するクリップ位置
Definition at line 139 of file ViewportSpriteState.h. References Lamp::Point2i::x, Lamp::RectangleI::x, Lamp::Point2i::y, and Lamp::RectangleI::y.

virtual void Lamp::ViewportSpriteState::setRectangle | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) | `[inline, virtual]`

  | 矩形の設定 Parameters:
  x | 設定する矩形のX位置
  y | 設定する矩形のY位置
  width | 設定する矩形の幅
  height | 設定する矩形の高さ
Definition at line 114 of file ViewportSpriteState.h. References Lamp::RectangleI::set().

virtual void Lamp::ViewportSpriteState::setRectangle | ( | const Point2i & | position,
|  | const DimensionI & | size
| ) | `[inline, virtual]`

  | 矩形の設定 Parameters:
  position | 設定する矩形の位置
  size | 設定する矩形のサイズ
Definition at line 102 of file ViewportSpriteState.h. References Lamp::DimensionI::height, Lamp::RectangleI::set(), Lamp::DimensionI::width, Lamp::Point2i::x, and Lamp::Point2i::y.

virtual void Lamp::ViewportSpriteState::setRectangle | ( | const RectangleI & | rectangle | ) | `[inline, virtual]`

  | 矩形の設定 Parameters:
  rectangle | 設定する矩形
Definition at line 93 of file ViewportSpriteState.h.

virtual void Lamp::ViewportSpriteState::setSize | ( | int | width,
|  | int | height
| ) | `[inline, virtual]`

  | サイズの設定 Parameters:
  width | 幅
  height | 高さ
Definition at line 177 of file ViewportSpriteState.h. References Lamp::RectangleI::height, and Lamp::RectangleI::width.

virtual void Lamp::ViewportSpriteState::setSize | ( | const DimensionI & | size | ) | `[inline, virtual]`

  | サイズの設定 Parameters:
  size | 設定するサイズ
Definition at line 167 of file ViewportSpriteState.h. References Lamp::DimensionI::height, Lamp::RectangleI::height, Lamp::DimensionI::width, and Lamp::RectangleI::width.

The documentation for this class was generated from the following files:

- ViewportSpriteState.h
- ViewportSpriteState.cpp